Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# ParticleSystemManager Class Reference

Manages a set of individual ParticleSystem objects, so that each individual one doesn't have to be updated and rendered every frame See Also : particleSystemManager.cxx. More...

List of all members.

## Public Member Functions
| ParticleSystemManager (int every_nth_frame)
| default constructor
| ParticleSystemManager ()
| default constructor
| attachParticlesystem (ParticleSystem ps)
| clear ()
| doParticles (float dt)
| does an update and render for each ps in the list.
| doParticles (float dt, ParticleSystem ps, bool do_render)
| does an update and an optional render for a specific ps.
| doParticles (float dt, ParticleSystem ps)
| does an update and an optional render for a specific ps.
int | getFrameStepping ()
| output (ostream out)
| Write a string representation of this instance to <out>.
| removeParticlesystem (ParticleSystem ps)
| removes a ps from the maintenance list
| setFrameStepping (int every_nth_frame)
| write (ostream out, int indent)
| Write a string representation of this instance to <out>.
| write (ostream out)
| Write a string representation of this instance to <out>.
| writePsList (ostream out)
| Write a string representation of this instance to <out>.
| writePsList (ostream out, int indent)
| Write a string representation of this instance to <out>.

## Detailed Description

Manages a set of individual ParticleSystem objects, so that each individual one doesn't have to be updated and rendered every frame See Also : particleSystemManager.cxx.

## Constructor & Destructor Documentation

ParticleSystemManager | ( | int | every_nth_frame | ) |

default constructor

ParticleSystemManager | ( |  | ) |

default constructor

## Member Function Documentation

attachParticlesystem | ( | ParticleSystem | ps | ) |

clear | ( |  | ) |

doParticles | ( | float | dt,
|  | ParticleSystem | ps
| ) |  |

does an update and an optional render for a specific ps.

Since rendering is the expensive operation, multiple updates could be applied before calling the final render.

doParticles | ( | float | dt | ) |

does an update and render for each ps in the list.

this is probably the one you want to use. Rendering is the expensive operation, and particles REALLY should at least be updated every frame, so nth_frame stepping applies only to rendering.

doParticles | ( | float | dt,
|  | ParticleSystem | ps,
|  | bool | do_render
| ) |  |

does an update and an optional render for a specific ps.

Since rendering is the expensive operation, multiple updates could be applied before calling the final render.

int getFrameStepping | ( |  | ) |

output | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

removeParticlesystem | ( | ParticleSystem | ps | ) |

removes a ps from the maintenance list

setFrameStepping | ( | int | every_nth_frame | ) |

write | ( | ostream | out,
|  | int | indent
| ) |  |

Write a string representation of this instance to <out>.

write | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

writePsList | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

writePsList | ( | ostream | out,
|  | int | indent
| ) |  |

Write a string representation of this instance to <out>.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties